package com.willalp.canteen.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.canteen.domain.HsCanteenMenu;
import com.willalp.common.core.domain.AjaxResult;

import java.util.Date;
import java.util.List;

/**
 * 菜单Service接口
 *
 * @author songyu
 * @date 2021-12-02
 */
public interface IHsCanteenMenuService extends IService<HsCanteenMenu>
{
    /**
     * 查询菜单
     *
     * @param menuId 菜单主键
     * @return 菜单
     */
    public HsCanteenMenu selectHsCanteenMenuByMenuId(String menuId);

    /**
     * 查询菜单列表
     *
     * @param hsCanteenMenu 菜单
     * @return 菜单集合
     */
    public List<HsCanteenMenu> selectHsCanteenMenuList(HsCanteenMenu hsCanteenMenu);

    /**
     * 新增菜单
     *
     * @param hsCanteenMenu 菜单
     * @return 结果
     */
    public AjaxResult insertHsCanteenMenu(HsCanteenMenu hsCanteenMenu);

    /**
     * 修改菜单
     *
     * @param hsCanteenMenu 菜单
     * @return 结果
     */
    public AjaxResult updateHsCanteenMenu(HsCanteenMenu hsCanteenMenu);

    /**
     * 批量删除菜单
     *
     * @param menuIds 需要删除的菜单主键集合
     * @return 结果
     */
    public int deleteHsCanteenMenuByMenuIds(String[] menuIds);

    /**
     * 删除菜单信息
     *
     * @param menuId 菜单主键
     * @return 结果
     */
    public int deleteHsCanteenMenuByMenuId(String menuId);

    public List<HsCanteenMenu> getLimitMenu(Date date,String jgid);

    public List<HsCanteenMenu> selectAppMenuList(List<String> nums,String jgid);

}
